<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <FrameLayout
        android:orientation="vertical"
        android:id="@+id/chtc_contacts_groups_layout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/navigation_bar">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="50dp">

            <LinearLayout
                android:orientation="vertical"
                android:padding="10dp"
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <TextView
                    android:textSize="18dp"
                    android:textColor="@color/black"
                    android:id="@+id/save_as_dialog_file_name_label"
                    android:padding="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_file_name" />

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <EditText
                        android:textSize="18dp"
                        android:id="@+id/save_as_dialog_file_name"
                        android:paddingRight="35dp"
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:singleLine="true" />

                    <Button
                        android:textColor="@color/black"
                        android:gravity="right|center_vertical|center_horizontal|center"
                        android:layout_gravity="right|center_vertical|center_horizontal|center"
                        android:id="@+id/clear_mail_title_btn"
                        android:background="@drawable/clear_text"
                        android:visibility="gone"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginRight="5dp" />
                </FrameLayout>

                <TextView
                    android:textSize="18dp"
                    android:textColor="@color/black"
                    android:id="@+id/save_as_dialog_file_type_label"
                    android:padding="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_file_type" />

                <RadioGroup
                    android:orientation="vertical"
                    android:id="@+id/file_type_for_save_as"
                    android:background="@drawable/listitem_bg"
                    android:padding="5dp"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <RadioButton
                        android:textColor="@color/black"
                        android:id="@+id/save_as_pdf_type"
                        android:layout_width="match_parent"
                        android:text="PDF" />

                    <View
                        android:background="@drawable/list_divider"
                        android:padding="0dp"
                        android:visibility="gone"
                        android:layout_width="match_parent"
                        android:layout_height="1dp" />

                    <RadioButton
                        android:textColor="@color/black"
                        android:id="@+id/save_as_jpeg_type"
                        android:layout_width="match_parent"
                        android:layout_height="60dp"
                        android:text="JPEG" />
                </RadioGroup>

                <TextView
                    android:textSize="18dp"
                    android:textColor="@color/black"
                    android:id="@+id/save_as_file_size_label"
                    android:padding="5dp"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/str_total_file_size" />

                <TextView
                    android:textSize="18dp"
                    android:gravity="right|center_vertical|center_horizontal|center"
                    android:id="@+id/save_as_file_size"
                    android:background="@drawable/listitem_bg"
                    android:padding="10dp"
                    android:layout_width="match_parent"
                    android:layout_height="60dp" />
            </LinearLayout>
        </ScrollView>

        <include layout="@layout/folder_content_save_option" />

        <FrameLayout
            android:id="@+id/save_as_in_progress"
            android:visibility="gone"
            android:layout_marginBottom="@dimen/title_height"
            style="@style/CoverProgress">

            <ProgressBar
                android:layout_gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

            <TextView
                android:textStyle="bold"
                android:textColor="@color/white"
                android:layout_gravity="center"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/uploading_notification" />
        </FrameLayout>
    </FrameLayout>
</RelativeLayout>
